from sqlalchemy import Column, create_engine, func, ForeignKey
from sqlalchemy.dialects.postgresql import UUID, VARCHAR, TIMESTAMP, SMALLINT, JSONB, TEXT
from sqlalchemy.ext.declarative import declarative_base
from uuid import uuid4
import workers

Base = declarative_base()

class WorkerHistory(Base):
    __tablename__ = "worker_history"

    uuid = Column(UUID(as_uuid=True),primary_key=True,default=uuid4)
    worker_uuid = Column(UUID(as_uuid=True),ForeignKey(workers.uuid), nullable=False)
    status_code = Column(VARCHAR(20))
    status = Column(VARCHAR(20))
    reason = Column(TEXT)
    created_at = Column(TIMESTAMP,server_default=func.current_timestamp())
    updated_at = Column(TIMESTAMP,onupdate=func.current_timestamp())

if __name__ == "__main__":
    engine = create_engine("postgresql://dev:rUtbkp6uE752Amsw@35.223.124.237:5432/task_manager")
    Base.metadata.create_all(bind=engine)